Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 07-29-11, 11:32 AM   #1
torel
Registered User
 
Join Date: Jul 2011
Posts: 6
Default Drivers after 270.41.19 do not work in twinview mode

Hi,

IBM Lenovo W510 with NVidia Quadro FX880m.

Latest driver working for me is Linux-x86_64 270.41.19.

With drivers 275.09.07, 275.19 and 275.21 nvidia-settings lock asa I try to enable twinview on 2nd monitor (I have 2 HP Compaq LA2405wg connected to Lenovo docking).

When will this issue with the 275-release be fixed. Latest release note says it has but that is not my experience.

Works:

-rwxr-xr-x. 1 torel torel 49632218 Jul 11 08:20 NVIDIA-Linux-x86_64-270.41.19.run

Not working:
-rwxr-xr-x. 1 torel torel 51646025 Jun 24 00:11 NVIDIA-Linux-x86_64-275.09.07.run
-rwxr-xr-x. 1 torel torel 51672047 Jul 18 09:46 NVIDIA-Linux-x86_64-275.19.run
-rwxr-xr-x. 1 torel torel 51673133 Jul 29 12:10 NVIDIA-Linux-x86_64-275.21.run

Best regards,
ToreL
torel is offline   Reply With Quote
Old 09-01-11, 06:45 PM   #2
torel
Registered User
 
Join Date: Jul 2011
Posts: 6
Default Re: Drivers after 270.41.19 do not work in twinview mode

Adding 280.13 to the list. When will this be fixed?
torel is offline   Reply With Quote
Old 09-02-11, 01:27 PM   #3
Licaon
Registered User
 
Licaon's Avatar
 
Join Date: Nov 2004
Location: Between the keyboard and the chair.
Posts: 490
Default Re: Drivers after 270.41.19 do not work in twinview mode

285.03 too?
Licaon is offline   Reply With Quote
Old 09-02-11, 03:16 PM   #4
mooninite
Registered User
 
Join Date: May 2006
Posts: 477
Default Re: Drivers after 270.41.19 do not work in twinview mode

It must be card specific. I've run many driver versions past 270.41.19 and TwinView continues to work for me.
mooninite is offline   Reply With Quote
Old 09-04-11, 01:06 PM   #5
gosa
Registered User
 
Join Date: Sep 2011
Posts: 2
Default Re: Drivers after 270.41.19 do not work in twinview mode

Quote:
Originally Posted by torel View Post
Hi,

IBM Lenovo W510 with NVidia Quadro FX880m.

Latest driver working for me is Linux-x86_64 270.41.19.

With drivers 275.09.07, 275.19 and 275.21 nvidia-settings lock asa I try to enable twinview on 2nd monitor (I have 2 HP Compaq LA2405wg connected to Lenovo docking).

When will this issue with the 275-release be fixed. Latest release note says it has but that is not my experience.

Works:

-rwxr-xr-x. 1 torel torel 49632218 Jul 11 08:20 NVIDIA-Linux-x86_64-270.41.19.run

Not working:
-rwxr-xr-x. 1 torel torel 51646025 Jun 24 00:11 NVIDIA-Linux-x86_64-275.09.07.run
-rwxr-xr-x. 1 torel torel 51672047 Jul 18 09:46 NVIDIA-Linux-x86_64-275.19.run
-rwxr-xr-x. 1 torel torel 51673133 Jul 29 12:10 NVIDIA-Linux-x86_64-275.21.run

Best regards,
ToreL
I believe I have a similar (maybe even the same) problem as you have. I'm running a Geforce GT430 in my computer, with identical HP monitors connected to the vga & dvi ports respectively (using twinview), and one LG 32" tv connected to the hdmi-port.

Knowing that I can't run three monitors at the same time my "day-to-day" setup consists of the two HP's, and when I want to watch something on the tv I open nvidia-settings and switch between one of my monitors and the TV (still using twinview). Then when done with the TV I just switch back to using my second HP monitor again.

This has worked perfectly for me up until (and including) 270.41.19 while newer drivers just "crashes" nvidia-settings, locks up one core in my processor at 100% (that makes it two of my eight threads running at 100% in my Core i7 860). Only way for me to get out of it is thorugh a reboot.

This happens both when I try the drivers that is available through Debian Testing repositories (that one's at 280.13 right now) and when I try to use sgfxi. I got the recommendation to try the beta drivers, and if that won't work... guess I have to try and put together a bug report (I'm not sure I understand how to proceed with that one, but one step at a time)
gosa is offline   Reply With Quote
Old 09-11-11, 06:07 AM   #6
gosa
Registered User
 
Join Date: Sep 2011
Posts: 2
Default Re: Drivers after 270.41.19 do not work in twinview mode

Posted a bug report to Nvidia and the reply I got is that they're aware of the (at least my) problem with nvidia-settings crashing when trying to set twin view.

A recommended fix until they've taken care of this is to download the version of the drivers where nvidia-settings do work (in my case that would be 270.41.19) extract the installer by running:
Code:
sh ./NVIDIA-Linux-x86_64-270.41.19.run -x
(you might want to add "sudo" in front of that line - I have my "old" installers in /usr/src/sgfxi-downloads where I have to be root to make changes)

and then replace the faulty nvidia-settings in /usr/bin/ with the one you extracted. This works for me with the latest beta driver 285.03

Now - since my problem might not be identical with yours I'm not saying for certain that this will work for you, but at least it's worth trying, right?

BTW - Thanks to h2-1 over in the Linux Mint forums for helping me out with this one...
gosa is offline   Reply With Quote
Old 10-13-11, 11:35 AM   #7
torel
Registered User
 
Join Date: Jul 2011
Posts: 6
Default Re: Drivers after 270.41.19 do not work in twinview mode

Adding latest 285.05.09 to the list.

Below is coredump from the hung "nvidia-settings" SIGQUIT core:

[torel@torel-laptop ~]$ gdb `which nvidia-settings` ./core.18521
GNU gdb (GDB) Fedora (7.3.50.20110722-7.fc16)
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/nvidia-settings...(no debugging symbols found)...done.
[New LWP 18521]
[New LWP 18522]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `nvidia-settings'.
Program terminated with signal 3, Quit.
#0 0x000000000046a1d4 in screen_link_display ()
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk-module-0.6.19-2.fc16.x86_64 atk-2.2.0-1.fc16.x86_64 cairo-1.10.2-4.fc16.x86_64 dbus-glib-0.92-2.fc15.x86_64 dbus-libs-1.4.10-3.fc16.x86_64 expat-2.0.1-11.fc15.x86_64 flac-1.2.1-6.fc12.x86_64 fontconfig-2.8.0-4.fc16.x86_64 freetype-freeworld-2.4.4-4.fc15.x86_64 gdk-pixbuf2-2.24.0-1.fc16.x86_64 glib2-2.30.0-2.fc16.x86_64 gtk2-2.24.6-1.fc16.x86_64 gvfs-1.10.0-1.fc16.x86_64 ibus-gtk2-1.4.0-3.fc16.x86_64 ibus-libs-1.4.0-3.fc16.x86_64 libICE-1.0.7-1.fc16.x86_64 libSM-1.2.0-2.fc15.x86_64 libXau-1.0.6-2.fc15.x86_64 libXcomposite-0.4.3-2.fc15.x86_64 libXcursor-1.1.11-3.fc15.x86_64 libXdamage-1.1.3-2.fc15.x86_64 libXfixes-5.0-1.fc16.x86_64 libXi-1.4.3-3.fc16.x86_64 libXinerama-1.1.1-2.fc15.x86_64 libXrandr-1.3.1-2.fc15.x86_64 libXrender-0.9.6-2.fc15.x86_64 libXtst-1.2.0-2.fc15.x86_64 libXv-1.0.6-2.fc15.x86_64 libasyncns-0.8-2.fc15.x86_64 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 libcanberra-0.28-3.fc16.x86_64 libcanberra-gtk2-0.28-3.fc16.x86_64 libffi-3.0.10-1.fc16.x86_64 libgcc-4.6.1-10.fc16.x86_64 libogg-1.2.2-3.fc15.x86_64 libpng-1.2.46-1.fc16.x86_64 libselinux-2.1.5-5.1.fc16.x86_64 libsndfile-1.0.25-1.fc16.x86_64 libtdb-1.2.9-10.fc16.x86_64 libtool-ltdl-2.4-6.fc16.x86_64 libudev-173-3.fc16.x86_64 libuuid-2.20-1.fc16.x86_64 libvorbis-1.3.2-1.fc15.x86_64 libxcb-1.7-3.fc16.x86_64 libxml2-2.7.8-6.fc16.x86_64 nss-softokn-freebl-3.12.10-4.fc16.x86_64 pango-1.29.4-1.fc16.x86_64 pixman-0.22.2-1.fc16.x86_64 pulseaudio-libs-0.9.23-1.fc16.x86_64 tcp_wrappers-libs-7.6-64.fc16.x86_64 zlib-1.2.5-4.fc16.x86_64
(gdb) where
#0 0x000000000046a1d4 in screen_link_display ()
#1 0x0000000000460724 in ?? ()
#2 0x00000038e740ea24 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#3 0x00000038e7420d17 in ?? () from /lib64/libgobject-2.0.so.0
#4 0x00000038e742a141 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#5 0x00000038e742a2e2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#6 0x00000038ff6eab5a in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#7 0x00000038e740ea24 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#8 0x00000038e7420ed2 in ?? () from /lib64/libgobject-2.0.so.0
#9 0x00000038e742a141 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#10 0x00000038e742a2e2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#11 0x00000038ff5661da in gtk_menu_shell_activate_item () from /usr/lib64/libgtk-x11-2.0.so.0
#12 0x00000038ff5665a2 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x00000038ff54ef33 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x00000038e740ea24 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#15 0x00000038e7420b5c in ?? () from /lib64/libgobject-2.0.so.0
#16 0x00000038e7429f13 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#17 0x00000038e742a2e2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#18 0x00000038ff684141 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#19 0x00000038ff54ca93 in gtk_propagate_event () from /usr/lib64/libgtk-x11-2.0.so.0
#20 0x00000038ff54cdfb in gtk_main_do_event () from /usr/lib64/libgtk-x11-2.0.so.0
#21 0x00000038ff06209c in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#22 0x00000038e6044add in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#23 0x00000038e60452d8 in ?? () from /lib64/libglib-2.0.so.0
#24 0x00000038e6045825 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#25 0x00000038ff54be27 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#26 0x0000000000416291 in main ()
(gdb)

When are you going to fix this for Quadro FX 880m ?

Will now try the workarounds suggested.
torel is offline   Reply With Quote
Old 10-13-11, 11:45 AM   #8
torel
Registered User
 
Join Date: Jul 2011
Posts: 6
Default Re: Drivers after 270.41.19 do not work in twinview mode

WAR works:

[root@torel-laptop NVidia-Twinview-WAR]# ./NVIDIA-Linux-x86_64-270.41.19-custom.run -x
Creating directory NVIDIA-Linux-x86_64-270.41.19-custom
Verifying archive integrity... OK
Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86_64 270.41.19......................................... .................................................. ................................................
[root@torel-laptop NVidia-Twinview-WAR]# ls
NVIDIA-Linux-x86_64-270.41.19-custom NVIDIA-Linux-x86_64-270.41.19-custom.run
[root@torel-laptop NVidia-Twinview-WAR]# cd NVIDIA-Linux-x86_64-270.41.19-custom
[root@torel-laptop NVIDIA-Linux-x86_64-270.41.19-custom]# which nvidia-settings
/usr/bin/nvidia-settings
[root@torel-laptop NVIDIA-Linux-x86_64-270.41.19-custom]# mv /usr/bin/nvidia-settings /usr/bin/nvidia-settings.NEW
[root@torel-laptop NVIDIA-Linux-x86_64-270.41.19-custom]# cp -a ./nvidia-settings /usr/bin/nvidia-settings

HW: Lenovo W510 w/ 2 * HP Compaq LA2406wg monitors.
SW: Fedora 16 beta w/latest updates.

Regards,
ToreL
torel is offline   Reply With Quote

Old 10-13-11, 01:59 PM   #9
kwizart
Registered User
 
Join Date: Feb 2005
Location: Paris, France
Posts: 129
Default Re: Drivers after 270.41.19 do not work in twinview mode

I don't reproduce that on a F-14 x86 with current driver from rpmfusion.
Anyhow what is dramatically missing from this thread is the output of nvidia-bug-report.sh
http://www.nvnews.net/vbulletin/showthread.php?t=46678
kwizart is offline   Reply With Quote
Old 10-13-11, 06:07 PM   #10
JuanPabloCuervo
Registered User
 
Join Date: Oct 2011
Posts: 1
Unhappy Re: Drivers after 270.41.19 do not work in twinview mode

Similar problem here:
NVIDIA

Ubuntu 11.x Natty 32-Bit
Gateway P-7811 FX
Nvidia 9800M
285.05.09
TwinView works BUT....

some software jamms the TwinView.
App Launch Panel Taskbar dissapears,
same Desktop is shown in both.

restarting (Ctrl+Alt+Del) without saving x.conf,
works again single view, but... Twin View it's very unstable...

i have other pcs with ATI HD6970, works OK.

before installing the latest 285.05.09
uninstalled the Nvidia-common, blocked the Neuvau,
Installed in Grub recovery SafeX console mode. (X Level 3)

$ sudo sh NVIDIA-Linux-x86-280.05.09.run

didn't let Nvidia configure, as suggested by installer.


the NVIDIA-Common drivers 270.xx synaptic repo...
Twin/view has additional bugs...

the _ [_] X dissapears.
restarting does not fix the issue..
the only way it's to Grub - Recovery Kernel - SafeX - Restart X.
other bugs:
System Monitor 2.28.2 does not appear.
Terminal also does not appear.
JuanPabloCuervo is offline   Reply With Quote
Old 10-14-11, 06:51 PM   #11
torel
Registered User
 
Join Date: Jul 2011
Posts: 6
Default Re: Drivers after 270.41.19 do not work in twinview mode

nvidia-bug-report.log.gz attached. Note that nvidia-settings is from "working" release NVIDIA-Linux-x86_64-270.41.19.run
Attached Files
File Type: gz nvidia-bug-report.log.gz (132.4 KB, 43 views)
torel is offline   Reply With Quote
Old 11-29-11, 04:23 AM   #12
torel
Registered User
 
Join Date: Jul 2011
Posts: 6
Default Re: Drivers after 270.41.19 do not work in twinview mode

Solved for me as of NVidia driver 290.10.
torel is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 06:03 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.